MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024773Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-03-28 07:522018-05-22 10:28
Reporterdln 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024773: Convertation of the generic classes to the non-generic. Part 7
Description1) Generic classes:
 
 "GccGeo_Circ2dTanOn",
 "GccGeo_Circ2d2TanRad",
 "GccGeo_Circ2d2TanCen",
 "GccGeo_Circ2d2TanOnRad",
 "GccGeo_CurvePGTool"

from "GccGeo" package converted to the non-generic classes and moved to the "Geom2dGcc" package. Names of this classes were changed to:
 
 "Geom2dGcc_Circ2dTanOnGeo",
 "Geom2dGcc_Circ2d2TanRadGeo",
 "Geom2dGcc_Circ2d2TanCenGeo",
 "Geom2dGcc_Circ2d2TanOnRadGeo",
 "Geom2dGcc_CurveToolGeo".

Also "GccGeo_PanGenCurve" unused generic class was deleted. And "GccGeo" package was deleted.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024661closedabv Open CASCADE Removing unused "generic" classes. Part 2 
related to 0029694closedbugmaster Community Geom2dGcc_Circ2dTanCenGeo crash 
child of 0024487closedabv Open CASCADE Getting rid of generic CDL classes 

-  Notes
(0028524)
dln (developer)
2014-03-28 07:56

Changes are ready for review in CR24773 branch.
(0028526)
abv (manager)
2014-03-28 09:56

No remarks on my side. Igor, please review
(0028531)
ifv (developer)
2014-03-28 11:05

Ok
(0028605)
mkv (tester)
2014-04-01 18:45

Dear BugMaster,

Branch CR24773 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: bb21fdaacc06b36f5dfa06663fa7cf2fd353d0b8

Number of compiler warnings:

occt component :
Linux: 27 (27 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 394085376 / 392787868
Total CPU difference: 47359.23000000005 / 57080.269999999895

Testing on Windows:
Total MEMORY difference: 422792892 / 414066652
Total CPU difference: 35324.875 / 39807.578125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 578ce4be
Timestamp: 2014-03-28 05:35:15
Author: dln
Committer: apn
Details ] Diff ]
0024773: Convertation of the generic classes to the non-generic. Part 7

1) Generic classes:

 "GccGeo_Circ2dTanOn",
 "GccGeo_Circ2d2TanRad",
 "GccGeo_Circ2d2TanCen",
 "GccGeo_Circ2d2TanOnRad",
 "GccGeo_CurvePGTool"

from "GccGeo" package converted to the non-generic classes and moved to the "Geom2dGcc" package. Names of this classes were changed to:

 "Geom2dGcc_Circ2dTanOnGeo",
 "Geom2dGcc_Circ2d2TanRadGeo",
 "Geom2dGcc_Circ2d2TanCenGeo",
 "Geom2dGcc_Circ2d2TanOnRadGeo",
 "Geom2dGcc_CurveToolGeo".

Also "GccGeo_PanGenCurve" unused generic class was deleted. And "GccGeo" package was deleted.
mod - adm/UDLIST Diff ] File ]
rm - src/GccGeo/GccGeo.cdl Diff ] File ]
rm - src/GccGeo/GccGeo_Circ2d2TanOn.gxx Diff ] File ]
rm - src/GccGeo/GccGeo_Circ2dTanOnRad.gxx Diff ] File ]
rm - src/GccGeo/GccGeo_CurvePGTool.gxx Diff ] File ]
rm - src/GccGeo/GccGeo_ParGenCurve.cdl Diff ] File ]
rm - src/GccGeo/GccGeo_ParGenCurve.gxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc.cdl Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOn.cdl Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOn.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnGeo.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRad.cdl Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRad.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanCen.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRad.cdl Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRad.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRadGeo.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_CurveToolGeo.cxx Diff ] File ]
mod - src/TKGeomAlgo/PACKAGES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-28 07:52 dln New Issue
2014-03-28 07:52 dln Assigned To => abv
2014-03-28 07:56 dln Note Added: 0028524
2014-03-28 07:56 dln Status new => resolved
2014-03-28 07:57 dln Description Updated View Revisions
2014-03-28 09:31 dln Description Updated View Revisions
2014-03-28 09:56 abv Assigned To abv => ifv
2014-03-28 09:56 abv Note Added: 0028526
2014-03-28 11:05 ifv Note Added: 0028531
2014-03-28 11:05 ifv Status resolved => reviewed
2014-03-28 12:57 kgv Assigned To ifv => bugmaster
2014-03-28 18:32 mkv Assigned To bugmaster => mkv
2014-04-01 18:45 mkv Note Added: 0028605
2014-04-01 18:45 mkv Test case number => Not needed
2014-04-01 18:45 mkv Assigned To mkv => bugmaster
2014-04-01 18:45 mkv Status reviewed => tested
2014-04-04 14:00 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:03 apn Changeset attached => occt master 578ce4be
2014-04-04 17:03 apn Assigned To bugmaster => apn
2014-04-04 17:03 apn Status tested => verified
2014-04-04 17:03 apn Resolution open => fixed
2014-04-10 14:46 kgv Relationship added child of 0024487
2014-06-05 18:44 abv Relationship added related to 0024661
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed
2018-05-22 10:28 nbv Relationship added related to 0029694


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker